cURL
curl --request GET \
--url https://flatbay.fr/fr/api/property/{id}import requests
url = "https://flatbay.fr/fr/api/property/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://flatbay.fr/fr/api/property/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"address": "<string>",
"cp": "<string>",
"city": "<string>",
"lat": 123,
"description": "<string>",
"surface": 123,
"ascenseur": "<string>",
"meuble": true,
"balcon": true,
"nbFree": "<string>",
"updatedAt": "<string>",
"country": "<string>",
"lng": 123,
"type": 123,
"etage": "<string>",
"nbRoom": "<string>",
"nbDouche": "<string>",
"nbWc": "<string>",
"loyer": "<string>",
"depot": "<string>",
"charge": "<string>",
"chauffage": "<string>",
"coloc": "<string>",
"start": "2023-12-25",
"embed": "<string>",
"nbPiece": "<string>",
"gardien": "<string>",
"terrasse": "<string>",
"parking": "<string>",
"cave": "<string>",
"dpe": "<string>",
"lot": "<string>",
"public": "2023-12-25",
"phone": "<string>",
"colocOnly": "<string>",
"ges": "<string>",
"jardin": "<string>",
"showPhone": "<string>",
"minLoyer": "<string>",
"minCharge": "<string>",
"etablissementId": "<string>",
"frais": "<string>",
"fraisRoom": "<string>",
"metro": "<string>",
"eauchaude": "<string>",
"eautype": "<string>",
"chauffagetype": "<string>",
"velo": "<string>",
"nbEtage": "<string>",
"minDepot": "<string>",
"rentsellType": "<string>",
"fraisType": "<string>",
"prix": "<string>",
"foncier": "<string>",
"video": "<string>",
"bailType": "<string>",
"box": "<string>",
"piscine": "<string>",
"sport": "<string>",
"type2": "<string>",
"construction": "<string>",
"plaque": "<string>",
"four": "<string>",
"microonde": "<string>",
"frigo": "<string>",
"laveLinge": "<string>",
"secheLinge": "<string>",
"laveVaisselle": "<string>",
"cafetiere": "<string>",
"tv": "<string>",
"hauteur": "<string>",
"exposition": "<string>",
"traversant": "<string>",
"fibre": "<string>",
"jacuzzi": "<string>",
"hammam": "<string>",
"sauna": "<string>",
"clim": "<string>",
"refectionDate": "<string>",
"vitrage": "<string>",
"grillePain": "<string>",
"bouilloire": "<string>",
"hotte": "<string>",
"vaisselle": "<string>",
"linge": "<string>",
"refectionCommuneDate": "<string>",
"bailDuration": "<string>",
"terrainUsage": "<string>",
"terrainViable": "<string>",
"pmr": "<string>",
"sousSol": "<string>",
"vitrine": "<string>",
"vitrineLinear": 1,
"cuisine": "<string>",
"encadrement": "<string>",
"encadrementMax": "<string>",
"nbLotsCoproperty": "<string>",
"courtProceeding": "<string>",
"embed2": "<string>",
"addresscache": "<string>",
"sinchphone": "<string>",
"diagnostic": "<string>",
"edlHonoraire": "<string>",
"status": "<string>",
"energyBillMin": "<string>",
"energyBillMax": "<string>",
"surfaceTerrainBatiInclus": "<string>",
"dpeAt": "<string>",
"cheminee": "<string>",
"tennis": "<string>",
"barbecue": "<string>",
"interphone": "<string>",
"vueMer": "<string>",
"etablissementName": "<string>",
"roomId": "<string>",
"roomName": "<string>",
"roomLoyer": "<string>",
"roomCharge": "<string>",
"roomDepot": "<string>",
"roomStart": "<string>",
"dpeGesLetter": "A",
"dpeLetter": "A",
"gesLetter": "A",
"documents": [
{
"id": 123,
"type": "document.type.propertyPrincipal",
"url": "<string>"
}
]
}{
"error": "<string>"
}Endpoint Examples
Détails d'un bien
Récuperes toutes les informations d’un bien
GET
/
property
/
{id}
cURL
/api/property/:id?apiKey=xxxxx
Path Parameters
Identifiant du bien
Available options:
1, 3, 4, 5, 6, 7, 8, 9, 10 Example:
1
Query Parameters
Mot de passe pour l'accès sécurisé
Example:
"api_key_here"
Response
Détails du bien récupéré avec succès
Bien tel que diffusé publiquement. La réponse est filtrée côté serveur (lib/pickPropertyPublicAd.js) : seuls les champs de l'annonce sont renvoyés. Les données personnelles (propriétaire, bailleur, locataire), les notes d'accès au logement et les codes d'accès n'en font pas partie.
Présente si l'agent n'a pas caché l'adresse
Disponible à partir du
La longueur en mètre de la vitrine
Required range:
x >= 0Lettre globale du bilan DPE/GES
Available options:
A, B, C, D, E, F, G Available options:
A, B, C, D, E, F, G Available options:
A, B, C, D, E, F, G Show child attributes
Show child attributes

